> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Begin Registration



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json post /auth/mfa/webauthn/register/options
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /auth/mfa/webauthn/register/options:
    post:
      tags:
        - auth
      summary: Begin Registration
      operationId: auth-begin_registration
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebAuthnOptionsRead'
components:
  schemas:
    WebAuthnOptionsRead:
      properties:
        public_key:
          additionalProperties: true
          type: object
          title: Public Key
          description: PublicKeyCredential{Creation,Request}Options as JSON (base64url).
      type: object
      required:
        - public_key
      title: WebAuthnOptionsRead

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.